package com.keao.edu.user.service;

import com.keao.edu.common.page.PageInfo;
import com.keao.edu.common.page.QueryInfo;
import com.keao.edu.common.service.BaseService;
import com.keao.edu.user.dto.TenantInfoDto;
import com.keao.edu.user.entity.TenantInfo;

public interface TenantInfoService extends BaseService<Integer, TenantInfo> {

    void addTenant(TenantInfoDto tenantInfo);

    void updateTenant(TenantInfoDto tenantInfoDto);

    PageInfo<TenantInfoDto> queryTenants(QueryInfo queryInfo);

}
